%define anolis_release 16

Name:		startup-notification
Version:	0.12
Release:	%{anolis_release}%{?dist}
Summary:	Library for tracking application startup

License:	LGPLv2
URL:		http://www.freedesktop.org/software/startup-notification/
Source0:	https://www.freedesktop.org/software/startup-notification/releases/%{name}-%{version}.tar.gz

BuildRequires:	make
BuildRequires:  gcc
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb) >= 1.6
BuildRequires:  pkgconfig(xcb-aux)
BuildRequires:  pkgconfig(xcb-event)

%description
This package contains libstartup-notification which implements a
startup notification protocol. Using this protocol a desktop
environment can track the launch of an application and provide
feedback such as a busy cursor, among other features.

%package 	devel
Summary: 	Development portions of startup-notification
Requires: 	%{name} = %{version}-%{release}
 
%description 	devel
Header files and static libraries for libstartup-notification.

%prep
%autosetup -n %{name}-%{version} -p1
mkdir examples
cp -a test/*.c test/*.h examples

%build
%configure --disable-static
%make_build

%install
%make_install

%files
%license COPYING
%doc doc/startup-notification.txt AUTHORS ChangeLog NEWS
%{_libdir}/lib*.so.*

%files 		devel
%doc examples 
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Thu Dec 22 2022 Funda Wang <fundawang@yeah.net> - 0.12-16
- Bump release for upgrading from anolis 8

* Tue Apr 19 2022 happy_orange <songnannan@linux.alibaba.com> - 0.12-1
- Init package from upstream
